Skip to content

Stored only in your browser. Get one under Tokens.

Update user metadata using the user credentials

PUT
/devices/{id}/user-meta

Update user metadata using the user credentials

Authorizations

ApiKeyAuth
Type
API Key (header: Authorization)

Parameters

Path Parameters

id*

ID|PRN|NICK

Type
string
Required

Request Body

application/json
JSON
{
  
"additionalProperties": "string"
}

Responses

OK

application/json
JSON
[
  
{
  
  
"challenge": "string",
  
  
"device-meta": {
  
  
  
"additionalProperties": "string"
  
  
},
  
  
"garbage": true,
  
  
"id": "string",
  
  
"mark_public_processed": true,
  
  
"nick": "string",
  
  
"ovmode": {
  
  
  
"mode": "string",
  
  
  
"root_of_trust": "string",
  
  
  
"status": "string"
  
  
},
  
  
"owner": "string",
  
  
"owner-nick": "string",
  
  
"ownership_unverified": true,
  
  
"prn": "string",
  
  
"public": true,
  
  
"secret": "string",
  
  
"time-created": "string",
  
  
"time-modified": "string",
  
  
"user-meta": {
  
  
  
"additionalProperties": "string"
  
  
}
  
}
]

Playground

Authorization
Variables
Key
Value
Body

Samples

Powered by VitePress OpenAPI